Ruby 2.1.5p273(2014-11-13revision48405)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Macros | Functions
sizes.c File Reference
`#include "ruby/ruby.h"`
Include dependency graph for sizes.c:

Go to the source code of this file.

## Macros
#define | DEFINE(type, size) rb_hash_aset(s, rb_str_new_cstr(#type), INT2FIX(SIZEOF_##size));

## Functions
void | Init_sizeof (void)

## Macro Definition Documentation

#define DEFINE | ( |  | type,
|  |  | size
| ) |  | rb_hash_aset(s, rb_str_new_cstr(#type), INT2FIX(SIZEOF_##size));

Referenced by Init_sizeof().

## Function Documentation

void Init_sizeof | ( | void |  | ) |

Definition at line 4 of file sizes.c.

References DEFINE, off_t, rb_define_const(), rb_define_module(), and rb_hash_new().